Get or Cancel Limit Order
Retrieve a limit order by ID or cancel it. Only the authenticated owner can access or cancel.
Auth: Required (Authorization: Bearer YOUR_API_KEY)
Get limit order by id
Endpoint: GET /api/v1/limit-orders/limit/{limitOrderId}
Path parameters
Parameter
Type
Required
Description
Example
limitOrderId
string
Yes
Limit order ID
lim_abc123
Example
curl -X GET 'https://api.gateway.zert.com/api/v1/limit-orders/limit/e896c19b-fccd-466c-9b6d-eca6d7a6cd5a' \
-H 'Authorization: Bearer YOUR_API_KEY'{
"data": {
"limitOrderId": "lim_abc123",
"status": "open",
"timeInForce": "GTC",
"createdAtMs": 1745396400000,
"updatedAtMs": 1745396400000,
"expiresAtMs": 1745403600000,
"minAmountOut": "1"
},
"meta": { "requestId": "...", "timestamp": "..." }
}Cancel limit order by id
Endpoint: DELETE /api/v1/limit-orders/limit/{limitOrderId}
Headers
Header
Type
Required
Description
Idempotency-Key
string
Yes
Required opaque dedupe token. Use UUIDv4 or ULID. Allowed characters: A-Z, a-z, 0-9, ., _, :, -. Max 200 chars.
Path parameters
Parameter
Type
Required
Description
Example
limitOrderId
string
Yes
Limit order ID
lim_abc123
Request body (optional)
Field
Type
Description
Example
reason
string
Optional cancel reason
user_request
Example
Responses
Code
Description
200
OK
401
Unauthorized (missing or invalid API key)
403
Forbidden (not owner)
404
Not found
503
PG unavailable
Last updated


